<%= content_tag :div, id: node_id, data: { decidim_comments: comments_data } do %>
  <% if options.try(:[], :participatory_text_initial_page) %>
    <div class="columns comments-container">
      <div class="comments" style="padding: 0;">
        <div class="comment-threads comment-threads-override participatory-text-initial-page">
          <% comments.each do |comment| %>
            <%= cell("decidim/comments/comment_thread", comment, order: order) %>
          <% end %>
        </div>
      </div>
      <div class="callout primary loading-comments hide">
        <p><%= t("decidim.components.comments.loading") %></p>
      </div>
    </div>
  <% else %>
    <div class="columns comments-container" id="comments">
      <div class="comments">
        <%= add_comment %>
        <%= user_comments_blocked_warning %> 
        <div class="comments-thread-title">
          <h3 class="section-heading comments-section-title">
            <%= t("decidim.components.comments_section_title.title", count: comments_count )%>
          </h3>
        </div>
        <div class="row collapse order-by">
          <div class="bp-row-collapse-space">
            <h3 class="order-by__text section-heading">
              <% if single_comment? %>
                <%= t("decidim.components.comments.comment_details_title") %>
              <% else %>
                <span class="comments-count coments-count-override">
                  <%= t("decidim.components.comments.title", count: comments_count) %>
                </span>
              <% end %>
            </h3>
            <%= render :order_control %>
          </div>
        </div>
        <%= single_comment_warning %>
        <%= blocked_comments_warning %>
        <div class="comment-threads comment-threads-override">
          <%= comments_loading %>
          <% comments.each do |comment| %>
            <%= cell("decidim/comments/comment_thread", comment, order: order) %>
          <% end %>
        </div>
      </div>
      <div class="callout primary loading-comments hide">
        <p><%= t("decidim.components.comments.loading") %></p>
      </div>
    </div>
  <% end %>
<% end %>
